Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602138 - [abrt] crash in telepathy-butterfly-0.5.10-1.fc13: p2p.py:131:__init__:NotImplementedError
[abrt] crash in telepathy-butterfly-0.5.10-1.fc13: p2p.py:131:__init__:NotImp...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:114a545f
:
: 618516 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 04:48 EDT by Theophanis Kontogiannis
Modified: 2011-06-27 13:51 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:51:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (816 bytes, text/plain)
2010-06-09 04:48 EDT, Theophanis Kontogiannis
no flags Details

  None (edit)
Description Theophanis Kontogiannis 2010-06-09 04:48:55 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.33.5-112.fc13.x86_64
package: telepathy-butterfly-0.5.10-1.fc13
reason: p2p.py:131:__init__:NotImplementedError
release: Fedora release 13 (Goddard)

backtrace
-----
p2p.py:131:__init__:NotImplementedError

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/papyon/msnp/base.py", line 107, in _dispatch_command
    handler(command)
  File "/usr/lib/python2.6/site-packages/papyon/msnp/notification.py", line 414, in _handle_ILN
    self._handle_NLN(command)
  File "/usr/lib/python2.6/site-packages/papyon/msnp/notification.py", line 453, in _handle_NLN
    urllib.unquote(command.arguments[idx]))
  File "/usr/lib/python2.6/site-packages/papyon/p2p.py", line 192, in parse
    result = MSNObject(creator, size, type, location, friendly, shad, shac)
  File "/usr/lib/python2.6/site-packages/papyon/p2p.py", line 131, in __init__
    raise NotImplementedError
NotImplementedError

Local variables in innermost frame:
creator: 'st_sp_@deepscan.gr'
data: None

comment
-----
After rebotting and logging into my account, all hotmail accounts were reporting network error.
I had to 'kill -HUP' butterfly in order for the hotmail accounts to get enabled.
Comment 1 Theophanis Kontogiannis 2010-06-09 04:48:57 EDT
Created attachment 422476 [details]
File: backtrace
Comment 2 Theophanis Kontogiannis 2010-06-16 06:56:50 EDT
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
After rebotting and logging into my account, all hotmail accounts were reporting network error.
I had to 'kill -HUP' butterfly in order for the hotmail accounts to get enabled.
Comment 3 Laurent Peyremorte 2010-06-20 12:48:16 EDT
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Keep telepathy opened
2. Notification from a friend comming online and then crash (my friend is running Mac OS)
3.
Comment 4 Theophanis Kontogiannis 2010-06-22 09:28:34 EDT
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. log into my account
2.
3.
Comment 5 Theophanis Kontogiannis 2010-06-23 04:59:57 EDT
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. log into my account
2.
3.


Comment
-----
100% hit.... when I log into my account after boot up, I have to KILL -HUP butterfly to login into my msn accounts.
Comment 6 Theophanis Kontogiannis 2010-06-24 04:46:42 EDT
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. log into my account
2.
3.


Comment
-----
100% hit.... when I log into my account after boot up, I have to KILL -HUP butterfly to login into my msn accounts.
The usuall bug :)
Comment 7 Theophanis Kontogiannis 2010-06-25 05:52:43 EDT
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. log into my account
2.
3.


Comment
-----
100% hit.... when I log into my account after boot up, I have to KILL -HUP butterfly to login into my msn accounts.
The usuall bug :)
Comment 8 Peter Delf 2010-07-16 15:34:13 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Drop network connection
2. Restore network connection
3. Empathy kicks in ABRT when trying to log back into services automatically
Comment 9 Kai.Fan 2010-07-20 12:00:38 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. start empathy
2.
3.
Comment 10 Brian Pepple 2010-07-27 18:47:06 EDT
*** Bug 618516 has been marked as a duplicate of this bug. ***
Comment 11 Pablo 2010-08-02 14:13:18 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Empathy
2. Log in
3. 2 conversations
4. Nothig was happenig it crashes. The mail on the crash report, it is no one of the contacts i was talking with
Comment 12 Hervé Marcy 2010-08-03 13:59:28 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Empathy
2.
3.
Comment 13 mathdabomb 2010-08-05 14:56:51 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.just running
2.
3.
Comment 14 Jeff Taylor 2010-08-19 18:27:30 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Happens in background.  No action required.

Comment
-----
Looking at source, it appears element.get("SHA1D", None) at p2p.py:193 is returning None.
Comment 15 Greg 2010-08-23 17:05:09 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.started Empathy IM Client
2.
3.
Comment 16 Clément BIZEAU 2010-09-01 11:47:31 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start empathy
2.
3.
Comment 17 tensware 2010-09-01 15:54:37 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Just started the app
2.
3.


Comment
-----
Probably crashed on a message that arrived directly when logging in.
Comment 18 Greg 2010-09-01 18:29:42 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.started Empathy IM Client
2.
3.
Comment 19 mithts 2010-09-05 20:03:27 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Ran fIrst setup of Empathy IM
2. Clicked "yes, make another account" after setting up MSN account
3. Scrolled mouse over list of chat clients; was notified of error (program did not crash)
4. clicked Back to not make another account (I believe this was after the error)
Comment 20 Peter Andreasen 2010-09-25 02:27:21 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Don't know how crash happened as program was running in the background.
2.
3.
Comment 21 Bug Zapper 2011-06-02 07:29:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2011-06-27 13:51:23 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.